<?
$sub_menu = "400300";
include_once("./_common.php");

auth_check($auth[$sub_menu], "r");

$token		= get_token();

//-- 수정 -----------------------------------------------------------------------------------------
if($mode == "update") {
	if($in_recno && $in_new_word) {
		$rd_tmp	= sql_fetch("select * from $zmb[table_search_word] where db_word='$in_new_word'");
		if(!$rd_tmp[db_recno])
			sql_query("update $zmb[table_search_word] set db_word='$in_new_word' where db_word='$in_org_word'");	//-- 단어 DB
	}
}

$sql_orderby	= "order by ";
$sonoff[0]		= "off";
$sonoff[1]		= "off";
$sonoff[2]		= "off";
if($sorttype == "rank"){
	$sonoff[0]		= "on"; 
	$sql_orderby	.= "db_rank asc";
}elseif($sorttype == "date"){ 
	$sonoff[2]		= "on"; 
	$sql_orderby	.= "db_date desc, db_word asc"; 
}else{
	$sonoff[1]		= "on"; 
	$sql_orderby	.= "db_word asc"; 
}

//-- 검색어 있음
if($in_word) {
	$sql_where		= "where db_word like '%$in_word%'";
}

$sql	= "select count(*) as cnt from $zmb[table_search_word] $sql_where";
$row	= sql_fetch($sql);
$total_count = $row[cnt];

$rows		= 25;
$total_page  = ceil($total_count / $rows);		// 전체 페이지 계산
if ($page == "") { $page = 1; }					// 페이지가 없으면 첫 페이지 (1 페이지)
$from_record = ($page - 1) * $rows;				// 시작 열을 구함

$sql	= "select * from $zmb[table_search_word] $sql_where $sql_orderby limit $from_record, $rows";
$result = sql_query($sql);

$g4[title] = "검색어 DB 관리";
include_once("./admin.head.php");

$qstr	= "&";
foreach($_GET as $key=>$value) { $qstr .= $key . "=" . $value . "&"; }

$colspan = 5;
?>
<style type="text/css">
.reportbox	{ color:#414141; border:1px solid #EFEFEF; background-color:#FBFBFB; padding:5px; line-height:160%; margin:3px; font-size:11px; }
.sort_on	{ font-weight:bold; padding:0 4px 0 2px; }
.sort_off	{ font-weight:normal; padding:0 4px 0 2px; }
</style>

<div class="reportbox">
검색 순위는 누적 된 검색 수에 따라 결정. 따라서 실시간 검색 순위와 단어의 전체 검색 순위는 다를 수 있음. 금칙어는 그누보드 기본환경에서 추가 할 수 있음.<br>
기본환경에서 설정한 인기검색어 삭제일(<?=$config[cf_popular_del]?>일)이 지난 단어 중 누적 검색 수가 10건이 넘지 못하면 자동 삭제. 삭제 된 단어는 다시 검색이 발생하면 재등록 됨.
</div>
<table cellspacing=0 cellpadding=0><tr>
<td width="220"><?=subtitle("등록 된 검색어 목록")?></td>
<td>정렬 : <span class="sort_<?=$sonoff[0]?>"><a href="?sorttype=rank">순위▲</a></span> <span class="sort_<?=$sonoff[1]?>"><a href="?sorttype=word">단어▲</a></span> <span class="sort_<?=$sonoff[2]?>"><a href="?sorttype=date">등록일▼</a></span></td>
</tr></table>
<table width=100% cellpadding=0 cellspacing=1 border=0>
<tr><td colspan='<?=$colspan?>' class='line1'></td></tr>
<tr class='bgcol1 bold col1 ht center'>
    <td>순위</td>
	<td>검색어</td>
	<td>누적 검색 수</td>
	<td>마지막 정보 수정 일</td>
    <td></td>
</tr>
<?
$i		= 0;
while($rd = sql_fetch_array($result)) : 
?>
<tr><td colspan='<?=$colspan?>' class='line2'></td></tr>
<tr class='list<?=$list?> col1 ht center' onMouseOver="this.style.backgroundColor='#F6F8FA'" onMouseOut="this.style.backgroundColor=''">
	<td><?=$rd[db_rank]?></td>
    <td align=left><input id="in_word_<?=$i?>" name="in_word_<?=$i?>" value="<?=$rd[db_word]?>" size="30"></td>
	<td><?=$rd[db_count]?></td>
	<td><?=$rd[db_date]?></td>
    <td><input type=button class='btn1' value='수정' onClick="word_update('in_recno_<?=$i?>', 'in_word_<?=$i?>', 'in_org_word_<?=$i?>')">
	<span style="width:70px;"><input type="button" value="삭제" class="btn1" onClick="if(confirm('단어를 삭제 합니다.\n다시 검색이 이루어지면 자동 등록 됩니다.')) zm_gourl('./zm.report_process.php?mode=word_del&recno=<?=$rd[db_recno]?>')"></span>
	<span style="width:70px;"><input type="button" value="금칙어 등록" class="btn1" onClick="if(confirm('금칙어 등록 후 삭제 합니다.')) zm_gourl('./zm.report_process.php?mode=word_prohibition&recno=<?=$rd[db_recno]?>&word=<?=$rd[db_word]?>')"></span>

	<input type="hidden" id="in_recno_<?=$i?>" name="in_recno_<?=$i?>" value="<?=$rd[db_recno]?>">
	<input type="hidden" id="in_org_word_<?=$i?>" name="in_org_word_<?=$i?>" value="<?=$rd[db_word]?>">
	</td>
</tr>
<? $i++;
endwhile; ?>

<?
if ($i == 0)
    echo "<tr><td colspan='$colspan' align=center height=100 bgcolor=#ffffff>자료가 없습니다.</td></tr>"; 
?>
<tr><td colspan='<?=$colspan?>' class='line2'></td></tr>
<tr>
	<td align="right">단어 : </td>
	<td colspan='<?=$colspan-1?>'>
	<form name="SFRM" method="post">
	<input type="hidden" name="sorttype" value="<?=$sorttype?>">
	<input name="in_word" value="<?=$in_word?>">
	<input type="submit" value="검색" class="btn1">
<? if($in_word) : ?>
	<input type="button" value="모두보기" class="btn1" onClick="zm_gourl('./zm.search_word.php?sorttype=<?=$sorttype?>')">
<? endif; ?>
	</form>
	</td>
</tr>
<tr><td colspan='<?=$colspan?>' class='line2'></td></tr>
</table>

<form name="formword" method="post">
<input type="hidden" name="mode" value="update">
<input type="hidden" name="in_recno" value="">
<input type="hidden" name="in_new_word" value="">
<input type="hidden" name="in_org_word" value="">
</form>

<?
$pagelist = get_paging($config[cf_write_pages], $page, $total_page, "$_SERVER[PHP_SELF]?$qstr&page=");
?>
	<table width=100% cellpadding=3 cellspacing=1>
	<tr>
		<td align=center><?=$pagelist?></td>
	</tr>
	</table>

<script language="javascript">
function word_update(recno, new_word, org_word) {
	var f	= document.formword;
	
	if($("#"+new_word).val() == $("#"+org_word).val()) { alert("변경 된 부분이 없습니다."); return; }

	if(!confirm('검색어 DB를 수정 합니다.\n\n'+$("#"+org_word).val()+' → '+$("#"+new_word).val())) return false;

	f.in_recno.value	= $("#"+recno).val();
	f.in_new_word.value		= $("#"+new_word).val();
	f.in_org_word.value		= $("#"+org_word).val();

	f.submit();
}

function search_bbs() {
	var t	= $("#table").val();
	var r	= $("#wrid").val();
	if(!t || !r) {
		alert("테이블명과 글번호를 입력 해 주세요.");
		return false;
	}
	zm_gourl("./zm.report_listall.php?table="+t+"&wrid="+r);
}
</script>

<?
include_once("./admin.tail.php");
?>
